aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2019-08-08 16:20:12 +0200
committerPau Espin Pedrol <pespin@sysmocom.de>2019-08-08 16:44:05 +0200
commit37bc0ff58009b1816828ff00090333ea3b66035e (patch)
tree384560e281d334ff27e8d096218a6bce9ebc3b50
parente456e32f1511357256337efea9aafe6999f4760b (diff)
Require newer versions of dependencies
New APIs only available since libgtp 1.4.0 are needed, and in turn that libgtp version requires newer libosmocore 1.1.0. osmo-sgsn itself requires libosmocore 1.2.0 since it uses GSM23003_TMSI_SGSN_MASK. Change-Id: I1c67d3e7dda093b4869756c7a63dc7a4549084ae
-rw-r--r--configure.ac12
-rw-r--r--debian/control22
2 files changed, 17 insertions, 17 deletions
diff --git a/configure.ac b/configure.ac
index a7d3717..02dcf05 100644
--- a/configure.ac
+++ b/configure.ac
@@ -39,12 +39,12 @@ AC_SEARCH_LIBS([dlopen], [dl dld], [LIBRARY_DL="$LIBS";LIBS=""])
AC_SUBST(LIBRARY_DL)
-PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.0.0)
-PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.0.0)
-PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.0.0)
-PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.0.0)
+PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.2.0)
+PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.2.0)
+PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.2.0)
+PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.2.0)
+PKG_CHECK_MODULES(LIBOSMOGB, libosmogb >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 0.6.0)
-PKG_CHECK_MODULES(LIBOSMOGB, libosmogb >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 0.4.0)
PKG_CHECK_MODULES(LIBOSMOGSUPCLIENT, libosmo-gsup-client >= 1.0.0)
@@ -61,7 +61,7 @@ AM_CONDITIONAL(BUILD_IU, test "x$osmo_ac_iu" = "xyes")
AC_SUBST(osmo_ac_iu)
-PKG_CHECK_MODULES(LIBGTP, libgtp >= 1.3.0)
+PKG_CHECK_MODULES(LIBGTP, libgtp >= 1.4.0)
PKG_CHECK_MODULES(LIBCARES, libcares)
dnl checks for header files
diff --git a/debian/control b/debian/control
index 9ad95a1..df1f070 100644
--- a/debian/control
+++ b/debian/control
@@ -10,17 +10,17 @@ Build-Depends: debhelper (>=9),
automake,
libtool,
pkg-config,
- libasn1c-dev,
libtalloc-dev,
libc-ares-dev,
- libgtp-dev,
- libosmocore-dev,
- libosmo-abis-dev,
- libosmo-ranap-dev,
- libosmo-sccp-dev,
- libosmo-sigtran-dev,
- libosmo-netif-dev,
- libosmo-gsup-client-dev,
+ libgtp-dev (>= 1.4.0),
+ libosmocore-dev (>= 1.2.0),
+ libosmo-abis-dev (>= 0.6.0),
+ libosmo-netif-dev (>= 0.4.0),
+ libosmo-gsup-client-dev (>= 1.0.0),
+ libasn1c-dev (>= 0.9.30),
+ libosmo-ranap-dev (>= 0.4.0),
+ libosmo-sigtran-dev (>= 1.0.0),
+ libosmo-sccp-dev (>= 1.0.0),
osmo-gsm-manuals-dev
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-sgsn.git
@@ -32,14 +32,14 @@ Package: osmo-sgsn
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks
+Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks
Package: osmo-sgsn-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-sgsn (= ${binary:Version}), ${misc:Depends}
-Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks
+Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks
Package: osmo-gtphub
Architecture: any